Client is using an unsupported version of Socket.IO or Engine.IO protocols

Question:
i have done smart bus tracking system using python flask , it shows this error when i run the code in replit.

**Current behavior:**I have done implementaions but when i run it it shows the blank page in website

Desired behavior
I want my application to display maps and occupancy detection details
Repl link:

 * Running on all addresses (0.0.0.0)
 * Running on http://127.0.0.1:3000
 * Running on http://172.31.196.13:3000
Press CTRL+C to quit
172.31.196.13 - - [03/Apr/2024 08:13:55] "GET / HTTP/1.1" 302 -
172.31.196.13 - - [03/Apr/2024 08:13:55] "GET /register HTTP/1.1" 200 -
172.31.196.13 - - [03/Apr/2024 08:14:08] "POST /createaccount HTTP/1.1" 200 -
172.31.196.13 - - [03/Apr/2024 08:14:09] "GET /createaccount HTTP/1.1" 405 -
172.31.196.13 - - [03/Apr/2024 08:14:11] "GET / HTTP/1.1" 200 -
The client is using an unsupported version of the Socket.IO or Engine.IO protocols (further occurrences of this error will be logged with level INFO)
172.31.196.13 - - [03/Apr/2024 08:14:12] "GET /socket.io/socket.io.js HTTP/1.1" 400 -

What version have you installed in the client and the server? Also, app.py does not appear to have any socket.io code in it. Is that intended?